Opened 5 years ago

Closed 5 years ago

Last modified 5 years ago

#2133 closed defect (fixed)

FFMPEG not able to find any audio or video streams in a working file

Reported by: ramitbhalla Owned by:
Priority: important Component: avformat
Version: git-master Keywords: wtv regression
Cc: Blocked By:
Blocking: Reproduced by developer: yes
Analyzed by developer: no

Description

Summary of the bug: The file plays find with MEdia Center, MEncoder can tell that there are audio and video streams, but ffmpeg cannot identify any audio or video streams in it.
How to reproduce:

mencoder noStreams.wtv -o nul

MEncoder Sherpya-SVN-r33883-4.2.5 (C) 2000-2011 MPlayer Team
163 audio & 368 video codecs
success: format: 0  data: 0x0 - 0x200000
Invalid seek to negative position ffffffffffffffff!
libavformat file format detected.
[wtv @ 01cd3260] reported file length (0x593d6064) exceeds number of available sectors (0x50000000)
[lavf] stream 0: subtitle (dvb-teletext), -sid 0
[lavf] stream 2: audio (mp2), -aid 0
[lavf] stream 3: video (mpeg2video), -vid 0
VIDEO:  [MPG2]  720x576  0bpp  25.000 fps  7500.0 kbps (915.5 kbyte/s)
[V] filefmt:35  fourcc:0x3247504D  size:720x576  fps:25.000  ftime:=0.0400

No audio encoder (-oac) selected. Select one (see -oac help) or use -nosound.

Exiting...

With FFMPEG, nothing...

ffmpeg -i noStreams.wtv

ffmpeg version N-48065-g6375318 Copyright (c) 2000-2012 the FFmpeg developers
  built on Dec 21 2012 09:06:30 with gcc 4.7.2 (GCC)
  configuration: --enable-static --arch=x86 --target-os=mingw32 --cross-prefix=/home/rdp/dev/ffmpeg-windows-build-helper
s/sandbox/mingw-w64-i686/bin/i686-w64-mingw32- --pkg-config=pkg-config --enable-gpl --enable-libx264 --enable-avisynth -
-enable-libxvid --enable-libmp3lame --enable-version3 --enable-zlib --enable-librtmp --enable-libvorbis --enable-libtheo
ra --enable-libspeex --enable-libopenjpeg --enable-gnutls --enable-libgsm --enable-libfreetype --enable-fontconfig --ena
ble-libass --enable-libutvideo --enable-libopus --disable-w32threads --enable-frei0r --enable-filter=frei0r --enable-lib
vo-aacenc --enable-bzlib --enable-libxavs --extra-cflags=-DPTW32_STATIC_LIB --enable-libopencore-amrnb --enable-libopenc
ore-amrwb --enable-libvo-amrwbenc --enable-libschroedinger --enable-libbluray --enable-libvpx --enable-runtime-cpudetect

  libavutil      52. 12.100 / 52. 12.100
  libavcodec     54. 81.100 / 54. 81.100
  libavformat    54. 49.102 / 54. 49.102
  libavdevice    54.  3.102 / 54.  3.102
  libavfilter     3. 29.100 /  3. 29.100
  libswscale      2.  1.103 /  2.  1.103
  libswresample   0. 17.102 /  0. 17.102
  libpostproc    52.  2.100 / 52.  2.100
[wtv @ 01e7ca80] reported file length (0x593d6064) exceeds number of available sectors (0x50000000)
Input #0, wtv, from 'noStreams.wtv':
  Metadata:
    WM/MediaClassPrimaryID: db9830bd-3ab3-4fab-8a371a995f7ff74
    WM/MediaClassSecondaryID: ba7f258a-62f7-47a9-b21f4651c42a000
    Title           : South Park
    WM/SubTitle     : Toilet Paper
    WM/SubTitleDescription: Animated adult comedy. When the boys are kept behind after school by their art teacher for n
ot appreciating art, Cartman convinces them that the only way to get her back is to toilet paper her house.
    genre           : Shows;Animation
    WM/OriginalReleaseTime: 0
    WM/MediaCredits : ;;;
    service_provider: Viva
    service_name    : TMF The Music Factory
    WM/MediaOriginalChannel: 81
    WM/MediaOriginalChannelSubNumber: 0
    WM/MediaOriginalBroadcastDateTime: 2003-09-14T23:00:00Z
    WM/MediaOriginalRunTime: 19603163745
    WM/MediaIsStereo: false
    WM/MediaIsRepeat: true
    WM/MediaIsLive  : false
    WM/MediaIsTape  : false
    WM/MediaIsDelay : false
    WM/MediaIsSubtitled: false
    WM/MediaIsMovie : false
    WM/MediaIsPremiere: false
    WM/MediaIsFinale: false
    WM/MediaIsSAP   : false
    WM/MediaIsSport : false
    WM/Provider     : MediaCenterDefault
    WM/VideoClosedCaptioning: false
    WM/WMRVEncodeTime: 2012-04-25 20:00:19
    WM/WMRVSeriesUID: !GenericSeries!South Park
    WM/WMRVServiceID: !Generated!f9fd088eefe34ef988814f48f61cd8a6
    WM/WMRVProgramID: !MCProgram!2118366
    WM/WMRVRequestID: 0
    WM/WMRVScheduleItemID: 0
    WM/WMRVQuality  : 3
    WM/WMRVOriginalSoftPrePadding: 420
    WM/WMRVOriginalSoftPostPadding: 180
    WM/WMRVHardPrePadding: -300
    WM/WMRVHardPostPadding: 0
    WM/WMRVATSCContent: false
    WM/WMRVDTVContent: false
    WM/WMRVHDContent: false
    Duration        : 17806418468
    WM/WMRVEndTime  : 2012-04-25 20:30:00
    WM/WMRVBitrate  : 6.729666
    WM/WMRVKeepUntil: 0
    WM/WMRVActualSoftPrePadding: 280
    WM/WMRVActualSoftPostPadding: 0
    WM/WMRVContentProtected: false
    WM/WMRVContentProtectedPercent: 0
    WM/WMRVExpirationSpan: 9223372036854775807
    WM/WMRVInBandRatingSystem: 255
    WM/WMRVInBandRatingLevel: 255
    WM/WMRVInBandRatingAttributes: 0
    WM/WMRVWatched  : false
  Duration: 00:25:35.50, bitrate: 10 kb/s
    Stream #0:0[0xb]: Subtitle: dvb_teletext
    Stream #0:1[0x0]: Attachment: mjpeg
    Metadata:
      title           : TV Thumbnail
At least one output file must be specified

Patches should be submitted to the ffmpeg-devel mailing list and not this bug tracker.

Attachments (1)

noStreams.wtv (2.0 MB) - added by ramitbhalla 5 years ago.

Download all attachments as: .zip

Change History (6)

Changed 5 years ago by ramitbhalla

comment:1 Changed 5 years ago by cehoyos

  • Component changed from undetermined to avformat
  • Keywords wtv added
  • Reproduced by developer set
  • Status changed from new to open
  • Version changed from unspecified to git-master

WMP plays audio and video for a moment.

comment:2 follow-up: Changed 5 years ago by ramitbhalla

any thoughts on this? have many users complain that ffmpeg is facing this issue.

comment:3 in reply to: ↑ 2 Changed 5 years ago by cehoyos

  • Keywords regression added
  • Priority changed from normal to important

Replying to ramitbhalla:

any thoughts on this? have many users complain that ffmpeg is facing this issue.

Could you point me to the complaints?

comment:4 Changed 5 years ago by cehoyos

  • Resolution set to fixed
  • Status changed from open to closed

Fixed by Peter Ross.

comment:5 Changed 5 years ago by ramitbhalla

Thank you :)

Some of the users have complained on issues here (the log files show the story)
http://mcebuddy2x.codeplex.com/discussions/431025

Note: See TracTickets for help on using tickets.